# Class RecordWriter

java.lang.Object
org.apache.jute.RecordWriter

public class RecordWriter extends Object
Front-end for serializers. Also serves as a factory for serializers.

## Constructor Summary

Constructors
Constructor
Description
`RecordWriter(OutputStream out, String format)`
Creates a new instance of RecordWriter.

## Method Summary

Modifier and Type
Method
Description
`void`
`write(Record r)`
Serialize a record.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RecordWriter

public RecordWriter(OutputStream out, String format)
Creates a new instance of RecordWriter.

Parameters:
  `out` - Output stream where the records will be serialized
  `format` - Serialization format ("binary", "xml", or "csv")

## Method Details

### write

public void write(Record r) throws IOException
Serialize a record.

Parameters:
  `r` - record to be serialized
Throws:
  `IOException`